from functools import wraps
from flask import abort
from api.util import is_admin

def admin(f):
    @wraps(f)
    def wrapped(*args, **kwargs):
        if is_admin():
            return abort(403)
        return f(*args, **kwargs)

